Skip to main content
GET
/
v1
/
batches
/
{id}
Retrieve
curl --request GET \
  --url https://{defaultHost}/v1/batches/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "50a395b3-137d-4b52-bb69-d898015b811f",
  "object": "batch",
  "finished_batch_operations_count": 0,
  "batch_operations_count": 0,
  "status": "completed",
  "created_at": 1776176512,
  "updated_at": 1776176512
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

200 - application/json

Success

id
string | null

The UUID of the specific object.

object
string

A string describing the object type returned.

finished_batch_operations_count
integer

The number of operations that have finished processing (completed, failed, or timed out).

batch_operations_count
integer

The total number of operations in this batch.

status
string

The status of the batch. Possible values include:

  • completed: All operations in the batch have finished processing.
  • in_progress: The batch operations are currently being executed.
  • pending: The batch has been created but processing has not yet started.
batch_operations

Expandable – Property not returned unless expanded.

created_at
integer | null

Time at which the object was created. Measured in seconds since the Unix epoch.

updated_at
integer | null

Time at which the object was last updated. Measured in seconds since the Unix epoch.